Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.testing.transportlayer
Class TLTest<Identifier>

    java.lang.Object
      org.mpisws.p2p.testing.transportlayer.TLTest<Identifier>

Direct Known Subclasses:
  EpochTest, PriorityTest, SRManagerTest, SRTest, WireSRTest, WireTest

    public abstract class TLTest<Identifier>

extends java.lang.Object

Constructor Summary
`TLTest()`

Method Summary
`abstract Identifier` | `getBogusIdentifier(Identifier local)` The identifer to a bogus node.
`Identifier` | `getIdentifier(TransportLayer<Identifier,java.nio.ByteBuffer> a, TransportLayer<Identifier,java.nio.ByteBuffer> b)` A's view of b
`void` | `messageTooBigUDP()` Sends huge udp message from alice to bob, should fail.
`void` | `noCallbackTest()`
`void` | `openTCP()` 3 parts: - Alice opens a TCP socket to Bob - Alice sends to Bob - Alice closes the Socket
`void` | `sendUDP()` Sends udp message from alice to bob.
`static void` | `setUpBeforeClass()`
`static void` | `tearDownAfterClass()`
`void` | `testSocketThreadSafety()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TLTest

    public TLTest()

Method Detail

### setUpBeforeClass

    public static void setUpBeforeClass()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tearDownAfterClass

    public static void tearDownAfterClass()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getIdentifier

    public Identifier getIdentifier(TransportLayer<Identifier,java.nio.ByteBuffer> a,
                                    TransportLayer<Identifier,java.nio.ByteBuffer> b)

  A's view of b

  Parameters:
    `a` -
    `b` -
  Returns:
    A's view of b

### getBogusIdentifier

    public abstract Identifier getBogusIdentifier(Identifier local)
                                           throws java.io.IOException

  The identifer to a bogus node.

  Returns:
  Throws:
    `java.io.IOException`

### openTCP

    public void openTCP()
                 throws java.lang.Exception

  3 parts: - Alice opens a TCP socket to Bob - Alice sends to Bob - Alice closes the Socket

  Throws:
    `java.lang.Exception`

### testSocketThreadSafety

    public void testSocketThreadSafety()

### sendUDP

    public void sendUDP()
                 throws java.lang.Exception

  Sends udp message from alice to bob.

  Throws:
    `java.lang.Exception`

### messageTooBigUDP

    public void messageTooBigUDP()
                          throws java.lang.Exception

  Sends huge udp message from alice to bob, should fail.

  Throws:
    `java.lang.Exception`

### noCallbackTest

    public void noCallbackTest()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.